# DataExchange
TKXSBase
StepData

# StepData_SelectInt Class Reference

A SelectInt is a SelectMember specialised for a basic integer
type in a select which also accepts entities : this one has
NO NAME.
For a named select, see SelectNamed
.

`#include <StepData_SelectInt.hxx>`

Inheritance diagram for StepData_SelectInt:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_SelectInt ()
virtual Standard_EXPORT Standard_Integer | Kind () const
virtual Standard_EXPORT void | SetKind (const Standard_Integer kind)
virtual Standard_EXPORT Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) .
virtual Standard_EXPORT void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | thekind
Standard_Integer | theval

## Constructor & Destructor Documentation

Standard_EXPORT StepData_SelectInt::StepData_SelectInt | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepData_SelectInt::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectMember. Reimplemented in StepVisual_MarkerMember.

virtual Standard_EXPORT Standard_Integer StepData_SelectInt::Int | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Integer StepData_SelectInt::Kind | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepData_SelectInt::SetInt | ( | const Standard_Integer | val | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepData_SelectInt::SetKind | ( | const Standard_Integer | kind | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

## Field Documentation

Standard_Integer StepData_SelectInt::thekind `[private]`

Standard_Integer StepData_SelectInt::theval `[private]`

The documentation for this class was generated from the following file:

- StepData_SelectInt.hxx